| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Types | Private Member Functions | Private Attributes | List of all members
PartPropSvc Class Reference

`#include <src/PartPropSvc.h>`

Inheritance diagram for PartPropSvc:
[legend]
Collaboration diagram for PartPropSvc:
[legend]

## Public Member Functions
StatusCode | initialize () override
StatusCode | finalize () override
HepPDT::ParticleDataTable * | PDT () override
void | setUnknownParticleHandler (HepPDT::ProcessUnknownID *, const std::string &) override
| ~PartPropSvc () override=default
Public Member Functions inherited from extends< Service, IPartPropSvc >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Public Attributes
| InputFile

## Private Types
using | inputFunPtr = bool(*)(std::istream &, HepPDT::TableBuilder &)

## Private Member Functions
StatusCode | createTable ()
inputFunPtr | parseTableType (const std::string &)

## Private Attributes
std::vector< std::pair< std::string, inputFunPtr > > | m_inputs
Gaudi::Property< std::string > | m_pdtFiles {this, "InputFile", "PDGTABLE.MeV"}
HepPDT::ProcessUnknownID * | m_upid = nullptr
std::string | m_upid_name
std::unique_ptr< HepPDT::ParticleDataTable > | m_pdt
bool | m_upid_local = false

## Additional Inherited Members
Public Types inherited from extends< Service, IPartPropSvc >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Definition at line 28 of file PartPropSvc.h.

## Member Typedef Documentation

using PartPropSvc::inputFunPtr = bool ( * )( std::istream&, HepPDT::TableBuilder& )
| private

Definition at line 45 of file PartPropSvc.h.

## Constructor & Destructor Documentation

PartPropSvc::~PartPropSvc | ( |  | ) |
| override default

## Member Function Documentation

StatusCode PartPropSvc::createTable | ( |  | ) |
| private

Definition at line 146 of file PartPropSvc.cpp.

146 {
147
148 // use a handler for unknown heavy ions
149 if ( !m_upid ) {
150 setUnknownParticleHandler(new HepPDT::HeavyIonUnknownID,
151 "Default Heavy Ion Handler");
152 m_upid_local = true;
153 }
154
155 m_pdt.reset( new HepPDT::ParticleDataTable(m_upid_name, m_upid) );
156
157 HepPDT::TableBuilder tb( *m_pdt );
158
159 for (const auto& itr : m_inputs ) {
160 const auto& f = itr.first;
161 const auto& pF = itr.second;
162
163 debug() << "Reading PDT file \"" << f << "\""
164 << endmsg;
165
166 std::ifstream pdfile{ f };
167 // build a table from the file
168 if ( ! pF(pdfile,tb) ) {
169 error() << "Error reading PDT file: \"" << f
170 << "\"" << endmsg;
171 return StatusCode::FAILURE;
172 }
173
174 }
175
176 return StatusCode::SUCCESS;
177
178 }
StatusCode::SUCCESS
Definition: StatusCode.h:30
StatusCode::FAILURE
Definition: StatusCode.h:29
PartPropSvc::m_pdt
std::unique_ptr< HepPDT::ParticleDataTable > m_pdt
Definition: PartPropSvc.h:55
PartPropSvc::m_inputs
std::vector< std::pair< std::string, inputFunPtr > > m_inputs
Definition: PartPropSvc.h:48
PartPropSvc::m_upid
HepPDT::ProcessUnknownID * m_upid
Definition: PartPropSvc.h:52
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
PartPropSvc::m_upid_local
bool m_upid_local
Definition: PartPropSvc.h:59
std::unique_ptr::reset
T reset(T...args)
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
PartPropSvc::setUnknownParticleHandler
void setUnknownParticleHandler(HepPDT::ProcessUnknownID *, const std::string &) override
Definition: PartPropSvc.cpp:199
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244
std::ifstream
STL class.
PartPropSvc::m_upid_name
std::string m_upid_name
Definition: PartPropSvc.h:53

StatusCode PartPropSvc::finalize | ( |  | ) |
| override

Definition at line 100 of file PartPropSvc.cpp.

100 {
101
102 m_pdt.reset();
103
104 if (m_upid_local && m_upid ) {
105 m_upid_local = false;
106 // This will cause a memory leak, but we can't delete it as the
107 // destructor of HepPDT::processUnknownID is protected.
108 // We need this though to call reinitialize successfully.
109 m_upid = nullptr;
110 }
111
112 StatusCode status = Service::finalize();
113
114 if ( status.isSuccess() ) {
115 debug() << "Service finalised successfully" << endmsg;
116 }
117
118 return status;
119 }
Service::finalize
StatusCode finalize() override
Definition: Service.cpp:174
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
PartPropSvc::m_pdt
std::unique_ptr< HepPDT::ParticleDataTable > m_pdt
Definition: PartPropSvc.h:55
PartPropSvc::m_upid
HepPDT::ProcessUnknownID * m_upid
Definition: PartPropSvc.h:52
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
PartPropSvc::m_upid_local
bool m_upid_local
Definition: PartPropSvc.h:59
std::unique_ptr::reset
T reset(T...args)
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

StatusCode PartPropSvc::initialize | ( |  | ) |
| override

Definition at line 25 of file PartPropSvc.cpp.

25 {
26
27 StatusCode status = Service::initialize();
28
29 if ( status.isFailure() ) {
30 error() << "Could not initialize main svc" << endmsg;
31 return StatusCode::FAILURE;
32 }
33
34
35 std::string key = m_pdtFiles.value();
36
37 typedef boost::tokenizer<boost::char_separator<char> > tokenizer;
38 boost::char_separator<char> sep(", ");
39 boost::char_separator<char> sep_eq("=");
40
41 tokenizer tokens(key, sep);
42 for (auto it = tokens.begin(); it != tokens.end(); ++it) {
43
44 tokenizer tok2(*it, sep_eq);
45 int nToks(distance(tok2.begin(), tok2.end()));
46
47 auto it2 = tok2.begin();
48 const std::string fname = *it2;
49 std::string fmt;
50 if (nToks == 1) {
51 info() << "No table format type specified for \"" << fname
52 << "\". Assuming PDG" << endmsg;
53 fmt = "PDG";
54 } else {
55 ++it2;
56 fmt = *it2;
57 }
58
59 // see if input file exists in $DATAPATH
60 std::string rfile = System::PathResolver::find_file(fname,"DATAPATH");
61 if (rfile.empty()) {
62 error() << "Could not find PDT file: \"" << fname
63 << "\" in $DATAPATH" << endmsg;
64 return StatusCode::FAILURE;
65 }
66
67 // is the file readable?
68 std::ifstream pdfile{ rfile };
69 if (!pdfile) {
70 error() << "Could not open PDT file: \"" << rfile
71 << "\"" << endmsg;
72 return StatusCode::FAILURE;
73 }
74
75 std::string FMT = boost::algorithm::to_upper_copy(fmt);
76
77 inputFunPtr pF = nullptr;
78 try {
79 pF = parseTableType(FMT);
80 } catch (...) {
81 error()
82 << "Could not determine Particle Property table type: \""
83 << FMT << "\" for file \"" << fname << "\"" << endmsg;
84 return StatusCode::FAILURE;
85 }
86
87 debug() << "Adding PDT file \"" << rfile << "\" type "
88 << FMT << endmsg;
89
90 m_inputs.emplace_back( rfile, pF );
91
92 }
93
94
95 return status;
96 }
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:64
std::string::empty
T empty(T...args)
std::distance
T distance(T...args)
StatusCode::FAILURE
Definition: StatusCode.h:29
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:123
PartPropSvc::parseTableType
inputFunPtr parseTableType(const std::string &)
Definition: PartPropSvc.cpp:124
PartPropSvc::inputFunPtr
bool(*)(std::istream &, HepPDT::TableBuilder &) inputFunPtr
Definition: PartPropSvc.h:45
PartPropSvc::m_pdtFiles
Gaudi::Property< std::string > m_pdtFiles
Definition: PartPropSvc.h:50
PartPropSvc::m_inputs
std::vector< std::pair< std::string, inputFunPtr > > m_inputs
Definition: PartPropSvc.h:48
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:84
std::string
STL class.
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
System::PathResolver::find_file
static std::string find_file(const std::string &logical_file_name, const std::string &search_path, SearchType search_type=LocalSearch)
Definition: PathResolver.cpp:126
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244
std::ifstream
STL class.
std::vector::emplace_back
T emplace_back(T...args)

PartPropSvc::inputFunPtr PartPropSvc::parseTableType | ( | const std::string & | typ | ) |
| private

Definition at line 124 of file PartPropSvc.cpp.

125 {
126 static const auto table = { std::make_pair( "PDG" , &HepPDT::addPDGParticles ),
127 std::make_pair( "PYTHIA" , &HepPDT::addPythiaParticles ),
128 std::make_pair( "EVTGEN" , &HepPDT::addEvtGenParticles ),
129 std::make_pair( "HERWIG" , &HepPDT::addHerwigParticles ),
130 std::make_pair( "ISAJET" , &HepPDT::addIsajetParticles ),
131 std::make_pair( "QQ" , &HepPDT::addQQParticles ) };
132 auto i = std::find_if( std::begin(table), std::end(table),
133 [&](const std::pair<const char*,inputFunPtr>& p)
134 { return typ == p.first; } );
135 if ( i == std::end(table) ) {
136 error() << "Unknown Particle Data file type: \""
137 << typ << "\"" << endmsg;
138 throw std::runtime_error("error parsing particle table type");
139 }
140 return i->second;
141 }
std::end
T end(T...args)
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
std::runtime_error
STL class.
std::make_pair
T make_pair(T...args)
std::pair
std::find_if
T find_if(T...args)
std::begin
T begin(T...args)
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

HepPDT::ParticleDataTable * PartPropSvc::PDT | ( |  | ) |
| override

Definition at line 183 of file PartPropSvc.cpp.

183 {
184
185 if (!m_pdt ) {
186 debug() << "creating ParticleDataTable" << endmsg;
187 if (createTable().isFailure()) {
188 fatal() << "Could not create ParticleDataTable" << endmsg;
189 m_pdt.reset(nullptr);
190 }
191 }
192
193 return m_pdt.get();
194 }
PartPropSvc::m_pdt
std::unique_ptr< HepPDT::ParticleDataTable > m_pdt
Definition: PartPropSvc.h:55
std::unique_ptr::reset
T reset(T...args)
std::unique_ptr::get
T get(T...args)
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
PartPropSvc::createTable
StatusCode createTable()
Definition: PartPropSvc.cpp:146
CommonMessagingBase::fatal
MsgStream & fatal() const
shortcut for the method msgStream(MSG::FATAL)
Definition: CommonMessaging.h:111
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

void PartPropSvc::setUnknownParticleHandler | ( | HepPDT::ProcessUnknownID * | puid,
|  | const std::string & | n
| ) |  |
| override

Definition at line 199 of file PartPropSvc.cpp.

200 {
201 if (m_pdt) {
202 error() << "not setting Unknown Particle Handler \"" << n
203 << "\" as ParticleDataTable already instantiated" << endmsg;
204 return;
205 }
206
207 debug() << "setting Unknown Particle Handler \"" << n
208 << "\" at " << puid << endmsg;
209
210 if (m_upid) {
211 warning()
212 << "overriding previously selected Unknown Particle Handler \""
213 << m_upid_name << "\" with \"" << n << "\"" << endmsg;
214 }
215
216 m_upid = puid;
217 m_upid_name = n;
218
219 }
PartPropSvc::m_pdt
std::unique_ptr< HepPDT::ParticleDataTable > m_pdt
Definition: PartPropSvc.h:55
PartPropSvc::m_upid
HepPDT::ProcessUnknownID * m_upid
Definition: PartPropSvc.h:52
GaudiPluginService.cpluginsvc.n
n
Definition: cpluginsvc.py:217
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:120
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244
PartPropSvc::m_upid_name
std::string m_upid_name
Definition: PartPropSvc.h:53

## Member Data Documentation

PartPropSvc.InputFile

Definition at line 6 of file PartPropSvc.py.

std::vector<std::pair<std::string, inputFunPtr> > PartPropSvc::m_inputs
| private

Definition at line 48 of file PartPropSvc.h.

std::unique_ptr<HepPDT::ParticleDataTable> PartPropSvc::m_pdt
| private

Definition at line 55 of file PartPropSvc.h.

Gaudi::Property<std::string> PartPropSvc::m_pdtFiles {this, "InputFile", "PDGTABLE.MeV"}
| private

Definition at line 50 of file PartPropSvc.h.

HepPDT::ProcessUnknownID* PartPropSvc::m_upid = nullptr
| private

Definition at line 52 of file PartPropSvc.h.

bool PartPropSvc::m_upid_local = false
| private

Definition at line 59 of file PartPropSvc.h.

std::string PartPropSvc::m_upid_name
| private

Definition at line 53 of file PartPropSvc.h.

The documentation for this class was generated from the following files:

- PartPropSvc/src/PartPropSvc.h
- PartPropSvc/share/PartPropSvc.py
- PartPropSvc/src/PartPropSvc.cpp